<?xml version="1.0" standalone="yes"?>
<svg width="4in" height="3in"
 xmlns = 'http://www.w3.org/2000/svg-20000302-stylable'>
  <desc>This example uses the switch element to provide a 
  fallback graphical representation of an equation, if 
  XMHTML is not supported.
  </desc>
  <!-- The <switch> element will process the first child element
       whose testing attributes evaluate to true.-->
  <switch>

    <!-- Process the embedded HTML if the system-required attribute
         evaluates to true (i.e., the user agent supports XHTML
         embedded within SVG). -->
    <foreignObject system-required="SVGForeignObject:XHTML" width="100" height="50">
      <!-- XHTML content goes here -->
    </foreignObject>

    <!-- Else, process the following alternate SVG.
         Note that there are no testing attributes on the <g> element.
         If no testing attributes are provided, it is as if there
         were testing attributes and they evaluated to true.-->
    <g>
      <!-- Draw a red rectangle with a text string on top. -->
      <rect width="20" height="20" style="fill: red"/>
      <text>Formula goes here</text>
    </g>

  </switch>
</svg>
